## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg20.04+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100

pglast (3.9-1) unstable; urgency=medium

  * New upstream version 3.9.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Feb 2022 11:20:20 +0100

pglast (3.8-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Feb 2022 13:32:46 +0100
