## pglast 3.9~20220624.1047-1~2.git49d28cc.pgdg22.04+1

=== debian/changelog ===
pglast (3.9~20220624.1047-1~2.git49d28cc.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100
