## pglast 3.9

=== debian/changelog ===
pglast (3.9-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 25 Feb 2022 11:20:20 +0100
