=== debian/control ===
Source: pglast
Section: python
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 help2man,
 libpg-query-dev,
 libprotobuf-c-dev,
 libpython3-all-dev,
 postgresql-server-dev-13,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.6.0
Homepage: https://github.com/lelit/pglast
Vcs-Browser: https://salsa.debian.org/postgresql/pglast
Vcs-Git: https://salsa.debian.org/postgresql/pglast.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pglast
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Suggests:
 python-pglast-doc,
Description: PostgreSQL Languages AST and statements prettifier (Python 3)
 This is a Python 3 module that exposes the parse tree of a PostgreSQL
 statement (extracted by the almost standard PG parser repackaged as a
 standalone static library by libpg_query) as set of interconnected nodes,
 usually called an abstract syntax tree.
 .
 This package installs the library for Python 3.

Package: python-pglast-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: PostgreSQL Languages AST and statements prettifier (common documentation)
 This is a Python 3 module that exposes the parse tree of a PostgreSQL
 statement (extracted by the almost standard PG parser repackaged as a
 standalone static library by libpg_query) as set of interconnected nodes,
 usually called an abstract syntax tree.
 .
 This is the common documentation package.
