=== debian/watch ===
version=4
https://github.com/lelit/pglast/tags .*/v(.*).tar.gz
