## pglast 5.0~dev0+1

=== debian/changelog ===
pglast (5.0~dev0+1-1) unstable; urgency=medium

  * Real upstream version 5.0~dev0, the last upload was a git snapshot that
    I neglected to label as such.
  * Mark python-pglast-doc M-A: foreign.

 -- Christoph Berg <myon@debian.org>  Wed, 28 Dec 2022 10:00:27 +0100

pglast (5.0~dev0-1) unstable; urgency=medium

  * New upstream version with PG15 support.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Dec 2022 13:49:16 +0100
