=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libpg-query-dev,
  libprotobuf-c-dev,
  libpython3-all-dev,
- postgresql-server-dev-13,
+ postgresql-server-dev-15,
  python3-all,
  python3-pytest,
  python3-pytest-cov,
@@ -43,6 +43,7 @@
 
 Package: python-pglast-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
