## pglast 5.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # :Created:   gio 03 ago 2017 14:52:45 CEST
 # :Author:    Lele Gaifax <lele@metapensiero.it>
 # :License:   GNU General Public License version 3 or later
-# :Copyright: © 2017, 2018, 2019, 2021, 2022 Lele Gaifax
+# :Copyright: © 2017, 2018, 2019, 2021, 2022, 2023 Lele Gaifax
 #
 
 export TOPDIR := $(CURDIR)
@@ -16,6 +16,9 @@
 export SHELL := /bin/bash
 export SYS_PYTHON := $(shell command -v python3)
 
+GENERATED_DOCS := $(shell git grep -l "DO NOT EDIT: " docs/)
+GENERATED_SRCS := $(shell git grep -l "DO NOT EDIT: " pglast/)
+
 all: virtualenv libpg_query/Makefile help
 
 libpg_query/Makefile:
@@ -26,10 +29,23 @@
 	@printf   "=============\n\n"
 
 help::
-	@printf "build\n\tbuild the module\n"
+	@printf "build\n\tbuild the module and update derivated sources\n"
 
 .PHONY: build
-build: virtualenv $(VENVDIR)/extension.timestamp
+build: virtualenv
+build: $(VENVDIR)/libpg_query.hash
+build: $(VENVDIR)/extension.timestamp
+build: enums
+build: keywords
+build: printers-doc
+
+FORCE:
+$(VENVDIR)/libpg_query.hash: FORCE
+	@git -C libpg_query rev-parse HEAD > $@.new
+	@if test -r $@ && cmp --quiet $@ $@.new; \
+	 then rm $@.new; \
+	 else mv $@.new $@; echo "Updated $@"; \
+	fi
 
 $(VENVDIR)/extension.timestamp: setup.py
 $(VENVDIR)/extension.timestamp: libpg_query/libpg_query.a
@@ -70,32 +86,40 @@
 help::
 	@printf "enums\n\textract Python enums from PG sources\n"
 
-PY_ENUMS := pglast/enums/lockoptions.py pglast/enums/lockdefs.py \
-	    pglast/enums/nodes.py pglast/enums/parsenodes.py \
-	    pglast/enums/pg_attribute.py pglast/enums/pg_class.py \
-	    pglast/enums/pg_trigger.py \
-	    pglast/enums/primnodes.py pglast/enums/xml.py \
-	    pglast/enums/pg_am.py
+PY_ENUMS := $(shell ls pglast/enums/*.py)
 PG_INCLUDE_DIR := libpg_query/src/postgres/include
 
 .PHONY: enums
 enums: $(PY_ENUMS)
 
-$(PY_ENUMS): tools/extract_enums.py libpg_query/libpg_query.a
+$(PY_ENUMS): tools/extract_enums.py
+$(PY_ENUMS): libpg_query/libpg_query.a
+$(PY_ENUMS): $(VENVDIR)/libpg_query.hash
+
+define extract_enums =
+$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+endef
+
 pglast/enums/%.py: $(PG_INCLUDE_DIR)/nodes/%.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/lockdefs.py: $(PG_INCLUDE_DIR)/storage/lockdefs.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_am.py: $(PG_INCLUDE_DIR)/catalog/pg_am.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_attribute.py: $(PG_INCLUDE_DIR)/catalog/pg_attribute.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_class.py: $(PG_INCLUDE_DIR)/catalog/pg_class.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/pg_trigger.py: $(PG_INCLUDE_DIR)/catalog/pg_trigger.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
+
 pglast/enums/xml.py: $(PG_INCLUDE_DIR)/utils/xml.h
-	$(PYTHON) tools/extract_enums.py -I $(PG_INCLUDE_DIR) $< $@ docs/$(basename $(notdir $@)).rst
+	$(extract_enums)
 
 help::
 	@printf "keywords\n\textract Python keyword sets from PG sources\n"
@@ -105,7 +129,9 @@
 .PHONY: keywords
 keywords: $(PY_KEYWORDS)
 
-$(PY_KEYWORDS): tools/extract_keywords.py libpg_query/libpg_query.a
+$(PY_KEYWORDS): tools/extract_keywords.py
+$(PY_KEYWORDS): libpg_query/libpg_query.a
+$(PY_KEYWORDS): $(VENVDIR)/libpg_query.hash
 $(PY_KEYWORDS): $(PG_INCLUDE_DIR)/parser/kwlist.h
 	$(PYTHON) tools/extract_keywords.py $(PG_INCLUDE_DIR)/parser/kwlist.h $@
 
@@ -120,9 +146,12 @@
 	    $(PG_INCLUDE_DIR)/nodes/primnodes.h $(PG_INCLUDE_DIR)/nodes/value.h
 
 .PHONY: printers-doc
-printers-doc: docs/ddl.rst docs/dml.rst
+printers-doc: $(GENERATED_DOCS)
 
-docs/ddl.rst docs/dml.rst: $(PG_NODES) tools/extract_printers_doc.py libpg_query/libpg_query.a
+$(GENERATED_DOCS): $(PG_NODES)
+$(GENERATED_DOCS): tools/extract_printers_doc.py
+$(GENERATED_DOCS): libpg_query/libpg_query.a
+$(GENERATED_DOCS): $(VENVDIR)/libpg_query.hash
 docs/%.rst: pglast/printers/%.py
 	$(PYTHON) tools/extract_printers_doc.py $< $@ $(PG_NODES)
