=== debian/changelog ===
pglast (5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Jun 2023 15:18:23 +0200
