=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 
 -r requirements-test.txt
 
-cython==3.0.0b2
+cython==3.0.7
 metapensiero.tool.bump_version==1.3
 pycparser==2.21
-readme-renderer==37.3
-sphinx==5.3.0
+readme-renderer==42.0
+sphinx==7.0.1
 twine==4.0.2
