=== debian/changelog ===
pglast (6.2-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:42:53 +0000

pglast (6.2-1) unstable; urgency=medium

  * New upstream version 6.2.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Feb 2024 11:58:02 +0100

pglast (6.1-1) unstable; urgency=medium

  * New upstream version 6.1.
  * Call cython before build.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Jan 2024 14:04:11 +0100

pglast (6.0~dev1-1) unstable; urgency=medium

  * New upstream version 6.0~dev1.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Jan 2024 10:16:21 +0100

pglast (6.0~dev0-1) unstable; urgency=medium

  * New upstream version 6.0~dev0.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Jan 2024 14:58:52 +0100

pglast (5.6-1) unstable; urgency=medium

  * New upstream version 5.6.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Dec 2023 13:37:01 +0100

pglast (5.5-2) unstable; urgency=medium

  * Use embedded server headers from libpg-query-dev.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Nov 2023 12:23:26 +0000

pglast (5.5-1) unstable; urgency=medium

  * New upstream version 5.5.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Oct 2023 11:54:54 +0200
