## pglast 6.3

=== requirements.txt ===
# -*- coding: utf-8; mode: conf-unix -*-
# :Project:   pglast -- Development requirements
# :Created:   ven 04 ago 2017 08:40:30 CEST
# :Author:    Lele Gaifax <lele@metapensiero.it>
# :License:   GNU General Public License version 3 or later
# :Copyright: © 2017, 2018, 2019, 2020, 2021, 2022, 2023, 2024 Lele Gaifax

-r requirements-test.txt

cython==3.0.11
metapensiero.tool.bump_version==1.3
pycparser==2.22
readme-renderer==44.0
sphinx==8.0.2
twine==5.1.1
