=== debian/changelog ===
pglast (6.3-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 07 Aug 2024 17:02:35 +0200

pglast (6.3-1) unstable; urgency=medium

  * New upstream version 6.3.

 -- Christoph Berg <myon@debian.org>  Wed, 07 Aug 2024 17:02:35 +0200
