## pglast 6.6

=== debian/changelog ===
pglast (6.6-1) unstable; urgency=medium

  * New upstream version 6.6.

 -- Christoph Berg <myon@debian.org>  Thu, 03 Oct 2024 15:00:42 +0200
