=== debian/changelog ===
pglast (7.2-1) unstable; urgency=medium

  * New upstream version 7.2.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Dec 2024 14:06:39 +0100

pglast (7.1-1) unstable; urgency=medium

  * New upstream version 7.1.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Dec 2024 12:34:57 +0100
