## pglast 7.3

=== debian/changelog ===
pglast (7.3-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Feb 2025 14:46:06 +0100

pglast (7.3-1) unstable; urgency=medium

  * New upstream version 7.3.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Feb 2025 14:46:06 +0100
