=== debian/changelog ===
pglast (7.5-1) unstable; urgency=medium

  * New upstream version 7.5.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Mar 2025 11:25:43 +0100
