## pglast 7.7

=== requirements.txt ===
--- 
+++ 
@@ -7,9 +7,10 @@
 
 -r requirements-test.txt
 
-bump-my-version==0.32.0
-cython==3.0.11
+bump-my-version==1.1.1
+cython==3.0.12
 pycparser==2.22
 readme-renderer==44.0
-sphinx==8.1.3
+setuptools==78.1.0
+sphinx==8.2.3
 twine==6.1.0
