=== debian/changelog ===
pglast (7.7-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:20:48 +0000

pglast (7.7-1) unstable; urgency=medium

  * New upstream version 7.7.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Apr 2025 13:37:05 +0200
