=== requirements.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 -r requirements-test.txt
 
-bump-my-version==1.1.1
-cython==3.0.12
-pycparser==2.22
+bump-my-version==1.2.4
+cython==3.1.6
+pycparser==2.23
 readme-renderer==44.0
-setuptools==78.1.0
+setuptools==80.9.0
 sphinx==8.2.3
-twine==6.1.0
+twine==6.2.0
