=== debian/changelog ===
pglast (7.10-1) unstable; urgency=medium

  * New upstream version 7.10.

 -- Christoph Berg <myon@debian.org>  Sun, 26 Oct 2025 13:30:40 +0100
