=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 execute_before_dh_auto_build:
 	# force a cython run
-	touch pglast/parser.pyx
+	cython3 pglast/parser.pyx
 
 override_dh_auto_test-indep:
