=== debian/tests/control ===
Tests: pglast
Depends: @
