=== debian/watch ===
version=4
opts=uversionmangle=s/.(dev|alpha|beta)/~$1/ \
https://github.com/lelit/pglast/tags .*/v(.*).tar.gz
