## pglast 7.11

=== requirements.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 
 -r requirements-test.txt
 
-bump-my-version==1.2.4
-cython==3.1.6
+bump-my-version==1.2.5
+cython==3.2.3
 pycparser==2.23
 readme-renderer==44.0
 setuptools==80.9.0
-sphinx==8.2.3
+sphinx==9.0.4
 twine==6.2.0
