=== debian/changelog ===
pglast (7.11-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 15 Dec 2025 10:16:03 +0100

pglast (7.11-1) unstable; urgency=medium

  * New upstream version 7.11.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Dec 2025 10:16:03 +0100

pglast (7.10-2) unstable; urgency=medium

  * Drop run-time dependency on pkg_resources. (Closes: #1083540)

 -- Christoph Berg <myon@debian.org>  Fri, 07 Nov 2025 13:17:37 +0100
